Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Model
Class TESTSUCHE

    java.lang.Object
      Model.TESTSUCHE

    public class TESTSUCHE

extends Object

Constructor Summary
`TESTSUCHE(int anzahl)` Legt die benötigten Objekte an und besetzt die Attributwerte.

Method Summary
`int` | `AnzahlFuerBaumsucheGeben()` Meldet die durchschnittliche Anzahl der Vergleiche für die Suche im Baum.
`int` | `AnzahlFuerListensucheGeben()` Meldet die durchschnittliche Anzahl der Vergleiche für die Suche in der Liste.
`void` | `DurchschnittsTest(int anzahl, boolean liste, boolean baum)` Bestimmt die durschnittlichen Vergleichszahlen f&uum;r die Suche.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TESTSUCHE

    public TESTSUCHE(int anzahl)

  Legt die benötigten Objekte an und besetzt die Attributwerte.

  Parameters:
    `anzahl` - Anzahl der Datenelemente in Liste und / oder Baum

Method Detail

### AnzahlFuerBaumsucheGeben

    public int AnzahlFuerBaumsucheGeben()

  Meldet die durchschnittliche Anzahl der Vergleiche für die Suche im Baum.

  Returns:
    Suchzeit

### AnzahlFuerListensucheGeben

    public int AnzahlFuerListensucheGeben()

  Meldet die durchschnittliche Anzahl der Vergleiche für die Suche in der Liste.

  Returns:
    Suchzeit

### DurchschnittsTest

    public void DurchschnittsTest(int anzahl,
                                  boolean liste,
                                  boolean baum)

  Bestimmt die durschnittlichen Vergleichszahlen f&uum;r die Suche.

  Parameters:
    `anzahl` - Anzahl der auszuführenden Suchvorgänge
    `liste` - gibt an, ob in der Liste gesucht werden soll
    `baum` - gibt an, ob im Baum gesucht werden soll

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD